Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Interface ServerPoolService

All Superinterfaces:
  java.rmi.Remote

      public interface ServerPoolService

extends java.rmi.Remote

Server Pool Service web service interface

Method Summary
`VirtualServer[]` | `addMembers(ServerPool serverPool, VirtualServerConfig[] serverConfigs)`
`void` | `checkHAAbility4ServerPoolById(java.lang.Long poolId)`
`void` | `checkServerConnection(VirtualServer vs)`
`void` | `checkVirtualServerCompatibility(MasterVirtualServer masterVS, VirtualServer vs)`
`ServerPool` | `createServerPool(ServerPoolConfig serverPoolConfig, java.lang.Long[] userIDList)`
`void` | `deleteServerPool(ServerPool serverPool, boolean isDelWorkingDir, boolean force, java.util.List warningMessageList)`
`java.lang.String` | `getAgentVersion(java.lang.Long serverId)`
`VirtualServer[]` | `getAllMembers(ServerPool serverPool)`
`ServerPool[]` | `getAllServerPools()`
`java.util.Map` | `getClusterRootByServerPoolId(java.lang.Long serverPoolId)`
`MasterVirtualServerStatus` | `getMasterAgentStatus(ServerPool serverPool)`
`MasterVirtualServer` | `getMasterServer(ServerPool serverPool)`
`java.util.Map` | `getMinimumAgentVersion(java.lang.Long[] serverPoolIDs)`
`java.lang.String` | `getMinSupportedOVSAgentVersion()`
`java.util.Map` | `getNetworkBridges(ServerPool serverPool)`
`java.util.Map` | `getNetworkBridgesByServerIP(VirtualServer virtualServer)`
`VirtualServer` | `getServer(VirtualServer vs)`
`VirtualServer` | `getServerByName(ServerPool serverPool, VirtualServer vs)`
`ServerPool` | `getServerPool(ServerPool serverPool)`
`ServerPool` | `getServerPoolById(java.lang.Long poolId)`
`ServerPool` | `getServerPoolByName(java.lang.String poolName)`
`ServerPoolMetrics` | `getServerPoolMetricsByServerPoolId(java.lang.Long serverPoolId)`
`ServerPool[]` | `getServerPools(ServerPool serverPool, java.lang.Long loginUserId)`
`java.util.Map` | `getStorageRepositoriesByServerPoolId(java.lang.Long serverPoolId)`
`VirtualServer` | `getVirtualServerById(java.lang.Long vsID)`
`VirtualServer` | `getVirtualServerByName(java.lang.String serverPoolName, java.lang.String virtualServerName)`
`VirtualServer[]` | `getVirtualServerByServerPool(java.lang.Long serverPoolID)`
`VirtualServerMetrics[]` | `getVirtualServerMetrics(java.lang.Long[] virtualServerIDList)`
`VirtualServer[]` | `getVirtualServers(ServerPool pool, VirtualServer vs, java.lang.Long loginUserId)`
`void` | `rebootServer(VirtualServer server)`
`void` | `refreshServerPool(ServerPool pool)`
`void` | `removeMember(VirtualServer server, boolean force, java.util.List warningMessageList)`
`void` | `restoreVirtualServerPoolByManagerData(java.lang.Long serverPoolId)`
`void` | `shutdownServer(VirtualServer server)`
`void` | `updateServerPool(java.lang.Long poolId, boolean HAStatus, java.lang.String newPoolName)`
`void` | `updateUserList4ServerPool(java.lang.Long serverPoolId, java.lang.Long[] userIDList)`
`void` | `updateUtilityServerPassword(java.lang.String hostName, java.lang.String oldPassword, java.lang.String newPassword)`
`void` | `updateVirtualServer(VirtualServerConfig serverConfig)`
`void` | `updateVirtualServerAgentPassword(java.lang.String hostName, java.lang.String oldPassword, java.lang.String newPassword)`
`void` | `updateVirtualServerById(VirtualServer vs, boolean force, java.util.List warningMessageList)`
`void` | `validateAddMembers(ServerPool serverPool, VirtualServerConfig[] serverConfigs)`
`void` | `validateCreateServerPool(ServerPoolConfig poolConfig)`
`void` | `validateDeleteServerPool(ServerPool serverPool)`
`void` | `validateRebootServer(VirtualServer vs)`
`void` | `validateRemoveMember(VirtualServer vs, boolean force, java.util.List warningMessageList)`
`void` | `validateShutdownServer(VirtualServer vs)`
`void` | `validateUpdateUtilityServerPassword(java.lang.String hostName, java.lang.String oldPassword)`
`void` | `validateUpdateVSAgentPassword(java.lang.String hostName, java.lang.String oldPassword)`

Method Detail

### shutdownServer

    void shutdownServer(VirtualServer server)
                        throws oracle.ovs.biz.exception.OVSException,
                               java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getServerPoolById

    ServerPool getServerPoolById(java.lang.Long poolId)
                                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### updateUserList4ServerPool

    void updateUserList4ServerPool(java.lang.Long serverPoolId,
                                   java.lang.Long[] userIDList)
                                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### validateRebootServer

    void validateRebootServer(VirtualServer vs)
                              throws oracle.ovs.biz.exception.OVSException,
                                     java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### updateVirtualServerById

    void updateVirtualServerById(VirtualServer vs,
                                 boolean force,
                                 java.util.List warningMessageList)
                                 throws oracle.ovs.biz.exception.OVSException,
                                        java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getServerPool

    ServerPool getServerPool(ServerPool serverPool)
                             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### addMembers

    VirtualServer[] addMembers(ServerPool serverPool,
                               VirtualServerConfig[] serverConfigs)
                               throws oracle.ovs.biz.exception.OVSException,
                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getVirtualServers

    VirtualServer[] getVirtualServers(ServerPool pool,
                                      VirtualServer vs,
                                      java.lang.Long loginUserId)
                                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getNetworkBridgesByServerIP

    java.util.Map getNetworkBridgesByServerIP(VirtualServer virtualServer)
                                              throws oracle.ovs.biz.exception.OVSException,
                                                     java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### updateServerPool

    void updateServerPool(java.lang.Long poolId,
                          boolean HAStatus,
                          java.lang.String newPoolName)
                          throws oracle.ovs.biz.exception.OVSException,
                                 java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### updateUtilityServerPassword

    void updateUtilityServerPassword(java.lang.String hostName,
                                     java.lang.String oldPassword,
                                     java.lang.String newPassword)
                                     throws oracle.ovs.biz.exception.OVSException,
                                            java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getAllMembers

    VirtualServer[] getAllMembers(ServerPool serverPool)
                                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getServerPoolMetricsByServerPoolId

    ServerPoolMetrics getServerPoolMetricsByServerPoolId(java.lang.Long serverPoolId)
                                                         throws oracle.ovs.biz.exception.OVSException,
                                                                java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getAgentVersion

    java.lang.String getAgentVersion(java.lang.Long serverId)
                                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getAllServerPools

    ServerPool[] getAllServerPools()
                                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### validateAddMembers

    void validateAddMembers(ServerPool serverPool,
                            VirtualServerConfig[] serverConfigs)
                            throws oracle.ovs.biz.exception.OVSException,
                                   java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### validateShutdownServer

    void validateShutdownServer(VirtualServer vs)
                                throws oracle.ovs.biz.exception.OVSException,
                                       java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### restoreVirtualServerPoolByManagerData

    void restoreVirtualServerPoolByManagerData(java.lang.Long serverPoolId)
                                               throws oracle.ovs.biz.exception.OVSException,
                                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### checkHAAbility4ServerPoolById

    void checkHAAbility4ServerPoolById(java.lang.Long poolId)
                                       throws oracle.ovs.biz.exception.OVSException,
                                              java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getVirtualServerMetrics

    VirtualServerMetrics[] getVirtualServerMetrics(java.lang.Long[] virtualServerIDList)
                                                   throws oracle.ovs.biz.exception.OVSException,
                                                          java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getVirtualServerByServerPool

    VirtualServer[] getVirtualServerByServerPool(java.lang.Long serverPoolID)
                                                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getVirtualServerByName

    VirtualServer getVirtualServerByName(java.lang.String serverPoolName,
                                         java.lang.String virtualServerName)
                                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### validateDeleteServerPool

    void validateDeleteServerPool(ServerPool serverPool)
                                  throws oracle.ovs.biz.serverPool.ServerPoolException,
                                         oracle.ovs.biz.agent.AgentException,
                                         oracle.ovs.biz.server.ServerException,
                                         java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.serverPool.ServerPoolException`
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.server.ServerException`
    `java.rmi.RemoteException`

### validateRemoveMember

    void validateRemoveMember(VirtualServer vs,
                              boolean force,
                              java.util.List warningMessageList)
                              throws oracle.ovs.biz.exception.OVSException,
                                     java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getServerPools

    ServerPool[] getServerPools(ServerPool serverPool,
                                java.lang.Long loginUserId)
                                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getServerPoolByName

    ServerPool getServerPoolByName(java.lang.String poolName)
                                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### refreshServerPool

    void refreshServerPool(ServerPool pool)
                           throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### updateVirtualServer

    void updateVirtualServer(VirtualServerConfig serverConfig)
                             throws oracle.ovs.biz.exception.OVSException,
                                    java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getMasterAgentStatus

    MasterVirtualServerStatus getMasterAgentStatus(ServerPool serverPool)
                                                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getMasterServer

    MasterVirtualServer getMasterServer(ServerPool serverPool)
                                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getMinimumAgentVersion

    java.util.Map getMinimumAgentVersion(java.lang.Long[] serverPoolIDs)
                                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getStorageRepositoriesByServerPoolId

    java.util.Map getStorageRepositoriesByServerPoolId(java.lang.Long serverPoolId)
                                                       throws oracle.ovs.biz.exception.OVSException,
                                                              java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### validateUpdateUtilityServerPassword

    void validateUpdateUtilityServerPassword(java.lang.String hostName,
                                             java.lang.String oldPassword)
                                             throws oracle.ovs.biz.exception.OVSException,
                                                    java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### checkVirtualServerCompatibility

    void checkVirtualServerCompatibility(MasterVirtualServer masterVS,
                                         VirtualServer vs)
                                         throws oracle.ovs.biz.exception.OVSException,
                                                java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### rebootServer

    void rebootServer(VirtualServer server)
                      throws oracle.ovs.biz.exception.OVSException,
                             java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### updateVirtualServerAgentPassword

    void updateVirtualServerAgentPassword(java.lang.String hostName,
                                          java.lang.String oldPassword,
                                          java.lang.String newPassword)
                                          throws oracle.ovs.biz.exception.OVSException,
                                                 java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### removeMember

    void removeMember(VirtualServer server,
                      boolean force,
                      java.util.List warningMessageList)
                      throws oracle.ovs.biz.exception.OVSException,
                             java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getClusterRootByServerPoolId

    java.util.Map getClusterRootByServerPoolId(java.lang.Long serverPoolId)
                                               throws oracle.ovs.biz.exception.OVSException,
                                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### createServerPool

    ServerPool createServerPool(ServerPoolConfig serverPoolConfig,
                                java.lang.Long[] userIDList)
                                throws oracle.ovs.biz.exception.OVSException,
                                       java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getServer

    VirtualServer getServer(VirtualServer vs)
                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getVirtualServerById

    VirtualServer getVirtualServerById(java.lang.Long vsID)
                                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### checkServerConnection

    void checkServerConnection(VirtualServer vs)
                               throws oracle.ovs.biz.agent.AgentException,
                                      oracle.ovs.biz.exception.OVSException,
                                      oracle.ovs.biz.server.ServerException,
                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`
    `oracle.ovs.biz.server.ServerException`
    `java.rmi.RemoteException`

### validateUpdateVSAgentPassword

    void validateUpdateVSAgentPassword(java.lang.String hostName,
                                       java.lang.String oldPassword)
                                       throws oracle.ovs.biz.exception.OVSException,
                                              java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### deleteServerPool

    void deleteServerPool(ServerPool serverPool,
                          boolean isDelWorkingDir,
                          boolean force,
                          java.util.List warningMessageList)
                          throws oracle.ovs.biz.exception.OVSException,
                                 java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getServerByName

    VirtualServer getServerByName(ServerPool serverPool,
                                  VirtualServer vs)
                                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getNetworkBridges

    java.util.Map getNetworkBridges(ServerPool serverPool)
                                    throws oracle.ovs.biz.agent.AgentException,
                                           oracle.ovs.biz.serverPool.ServerPoolException,
                                           java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.serverPool.ServerPoolException`
    `java.rmi.RemoteException`

### validateCreateServerPool

    void validateCreateServerPool(ServerPoolConfig poolConfig)
                                  throws oracle.ovs.biz.exception.OVSException,
                                         java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getMinSupportedOVSAgentVersion

    java.lang.String getMinSupportedOVSAgentVersion()
                                                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.